summaryrefslogtreecommitdiff
path: root/net-misc/udpxy/files/udpxy.initd
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc/udpxy/files/udpxy.initd')
-rw-r--r--net-misc/udpxy/files/udpxy.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/net-misc/udpxy/files/udpxy.initd b/net-misc/udpxy/files/udpxy.initd
new file mode 100644
index 000000000000..57d61cc93983
--- /dev/null
+++ b/net-misc/udpxy/files/udpxy.initd
@@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting udpxy"
+ start-stop-daemon --start --exec /usr/bin/udpxy -- ${UDPXYOPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping udpxy"
+ start-stop-daemon --stop --exec /usr/bin/udpxy
+ eend $?
+}
+